from setuptools import setup, Extension, find_packages

ext_modules = [
    Extension(
        "acentic.libcalc",
        sources=["acentic/internal.cpp"],
        language="c++",
        extra_compile_args=["-O3", "-march=native"],
    )
]

setup(
    name="acentic",
    version="0.0.7",
    packages=find_packages(),
    ext_modules=ext_modules,
)